Developers
API referenceReferenceReports

Balance sheet specifications

Generate balance sheet reconciliation (specifications) data as JSON using typed report request filters and columns.

POST
/v1/business/{business_slug}/report/balance-sheet-reconciliation/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/business/string/report/balance-sheet-reconciliation/" \  -H "Content-Type: application/json" \  -d '{    "columns": [      {        "date_from": "2019-08-24",        "date_to": "2019-08-24"      }    ]  }'
{  "report_type": "string",  "date_from": "2019-08-24",  "date_to": "2019-08-24",  "attachments_by_document": {    "property1": [      {        "id": 0,        "name": "string",        "type": "string"      }    ],    "property2": [      {        "id": 0,        "name": "string",        "type": "string"      }    ]  },  "rows": [    {      "name": "string",      "level": 0,      "is_empty": true,      "accounts": [        {          "number": "string",          "name": "string",          "opening_balance": 0.1,          "closing_balance": 0.1,          "entries": [            {              "number": "string",              "date": "2019-08-24",              "description": "string",              "amount": 0.1,              "document_id": 0            }          ]        }      ]    }  ]}